ru.bitel.bgbilling.plugins.crm.common.model

## Class RegisterWorkObject

- java.lang.Object
- - ru.bitel.bgbilling.plugins.crm.common.model.RegisterWorkObject

- All Implemented Interfaces:
    java.io.Serializable

      public class RegisterWorkObject
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterWorkObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Contract` | `getContract()`
    `int` | `getContractId()`
    `ContractObject` | `getContractObject()`
    `int` | `getId()`
    `int` | `getObjectId()`
    `RegisterWork` | `getRegisterWork()`
    `int` | `getTaskId()`
    `int` | `getWorkId()`
    `void` | `setContract(Contract contract)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractObject(ContractObject contractObject)`
    `void` | `setId(int id)`
    `void` | `setObjectId(int objectId)`
    `void` | `setRegisterWork(RegisterWork registerWork)`
    `void` | `setTaskId(int taskId)`
    `void` | `setWorkId(int workId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterWorkObject

          public RegisterWorkObject()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getTaskId

          public int getTaskId()

    - #### setTaskId

          public void setTaskId(int taskId)

    - #### getWorkId

          public int getWorkId()

    - #### setWorkId

          public void setWorkId(int workId)

    - #### getObjectId

          public int getObjectId()

    - #### setObjectId

          public void setObjectId(int objectId)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getContract

          public Contract getContract()

    - #### setContract

          public void setContract(Contract contract)

    - #### getContractObject

          public ContractObject getContractObject()

    - #### setContractObject

          public void setContractObject(ContractObject contractObject)

    - #### getRegisterWork

          public RegisterWork getRegisterWork()

    - #### setRegisterWork

          public void setRegisterWork(RegisterWork registerWork)